﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs"
	Inherits="LocalizationDemo_Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
	<link href="localization.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="../Scripts/iuembed.js"></script>
	<script type="text/javascript" src="Resources/en.js"></script>
	<script type="text/javascript" src="Resources/ru.js"></script>
	<script type="text/javascript">
		var loaded = false;
		var language = 'en';

		function fullPageLoad() {
			if (loaded != true) {
				loaded = true;
				translate(language);
			}
		}
		function translate(language) {
			//Check if the page is fully loaded
			if (loaded) {
				//Apply translation
				window[language + '_resources'].use(getFileDownloader('FileDownloader'));
			}
		}
	</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="content" runat="Server">
	<fieldset class="content-block">
		<legend>Download Files</legend>
		<div class="row">
			<div>
				Select a language:</div>
			<ul class="languages">
				<li><a href="#" onclick="translate('en');return false;" class="lang">English</a></li>
				<li><a href="#" onclick="translate('ru');return false;" class="lang">Russian</a></li>
			</ul>
		</div>
		<div style="clear: both">
		</div>
		<div class="row">
			<script type="text/javascript">
				//Create JavaScript object that will embed File Downloader to the page
				var fd = new FileDownloaderWriter('FileDownloader', 100, 44);

				fd.addParam("BackgroundColor", "#F5F5F5");

				//For ActiveX control full path to CAB file (including file name) should be specified
				fd.activeXControlCodeBase = '../Scripts/FileDownloader7.cab';
				fd.activeXControlCodeBase64 = '../Scripts/FileDownloader7_x64.cab';

				fd.javaAppletCodeBase = '../Scripts';

				//Configure URL from which the file list will be downloaded
				//Change this path if necessary
				fd.addParam('FileList', 'filelist.txt');

				//Set license key 
				fd.addParam('LicenseKey', '<%= System.Configuration.ConfigurationManager.AppSettings["FileDownloaderLicenseKey"] %>');

				//Add page load listener
				fd.fullPageLoadListenerName = 'fullPageLoad';

				//Tell File Downloader writer object to generate all necessary HTML code to embed File Downloader into the page
				fd.writeHtml();
			</script>
		</div>
	</fieldset>
</asp:Content>
