<%@ language="VBScript" %>
<%
Response.ContentType = "text/plain"
Response.Charset = "UTF-8"

Dim strBasePath, strFolderPath
'This is a base server folder for subfolders, between which the user can choose
strBasePath = Server.MapPath("./")
'This is a default subfolder from which files will be downloaded
strFolderPath = "Folder1/"

'Construct and encode a URL of the supplied file for reliable HTTP transmission to the client
Function EncodeFileName(name)
	EncodeFileName = Replace(Replace(Replace(Server.UrlEncode(strFolderPath & objFile.Name), "%2E", "."), "+", "%20"), "%2F", "/")
End Function

'Check if the id parameter is passed
If Request.QueryString("id").Count > 0 Then
	'Check if the id value is not empty
	If Len(Request.QueryString("id")(1)) > 0 Then
		'Change the subfolder, if needed
		Select Case Request.QueryString("id")(1)
			Case "2" strFolderPath = "Folder2/"
			Case "3" strFolderPath = "Folder3/"
		End Select
	End If
End If

Dim objFS
Set objFs = Server.CreateObject("Scripting.FileSystemObject")
'Check if the selected subfolder exists
If objFS.FolderExists(objFS.BuildPath(strBasePath, strFolderPath)) = True Then
	Dim objFile, objFolder
	Set objFolder = objFS.GetFolder(objFS.BuildPath(strBasePath, strFolderPath))
	'Iterate through all files in the subfolder and build a file list
	For Each objFile in objFolder.Files
		'Add the MIME type, the size, and the name for saving
		Response.Write("*/* | " & objFile.Size & " | " & objFile.Name & " | ")
		'Add the URL to the file and the CRLF combination
		Response.Write(EncodeFileName(objFile.Name) & vbCr & vbLf)
	Next
End If
%>