<!--BEGIN-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Aurigma File Downloader 7 - ColdFusion Samples</title>
	<style type="text/css"> 
body, p, ul, li, td
{
	font-family: Verdana, Arial, sans-serif;
	font-size: 9pt;
}

.Sample
{
	border: 1px dashed #5382a1;
	padding: 4px;
	margin-bottom: 5px;
}

.Sample .Title
{
	margin-top: 4px;
	margin-bottom: 4px;	
}

.Sample .Title a
{
	font-weight: 700;
	font-size:12px;
	color: #013da4; 
}

.Sample .Description
{
	margin-left: 20px;
	margin-top: 6px;
	margin-bottom: 4px;		
}

fieldset
{
	border: 1px dashed #ff794b;
	padding: 3px;
	margin-top:4px;
	margin-bottom:4px;
}

fieldset legend
{
	border: 1px dashed #ff794b;
	background-color: #ffffd7;
	padding: 3px;
	font-weight: 700;
	margin-left:12px;
	font-size: 8pt;
}

fieldset p
{
	font-size: 8pt;
}
	</style>
</head>
<body>
	<table width="100%" cellpadding="5" style="border-bottom: solid 9px #f0eef1">
		<tr>
			<td valign="middle" align="center">
				<span style="font-size: 18px; font-weight: 700"><span style="white-space: nowrap">Aurigma
					File Downloader 7 -</span> <span style="white-space: nowrap">ColdFusion Samples</span></span>
			</td>
		</tr>
	</table>
	<p></p>
	<div class="Sample">
		<div class="Title"><a href="Basic/index.cfm">Basic Sample</a></div>
		<div class="Description">A simple quick start demo which illustrates how to use File Downloader and generate a file list on the server.</div>
	</div>
	<div class="Sample">
		<div class="Title"><a href="Localization/index.cfm">Localization Sample</a></div>
		<div class="Description">Multilanguage download application. It demonstrates how to translate File Downloader user interface into different languages and switch dynamically between them. Also, this demo contains ready-to-use translations into Russian that can be easily re-used (even in a single-language mode).</div>
	</div>
	<p>These demo applications are available for several server platforms and languages, including:</p>
	<ul>
		<li>ASP.NET - <em>C#</em></li>
		<li>ASP</li>
		<li>PHP</li>
		<li>JSP</li>
		<li>ColdFusion</li>
		<li>Perl</li>
	</ul>
	<p>The samples for other platforms can be found in appropriate folders of the evaluation package.</p>
	<fieldset>
		<legend>Important</legend>
		<p>These demo applications are just examples of File Downloader usage. File Downloader is a <strong>client-side control</strong>, that means it is just a <code>FileDownloader.cab</code> file. All other code (both HTML/JavaScript and server pages) <strong>is not a part of File Downloader</strong>! All server-side actions, such as generating a file list, are performed by this code rather than by File Downloader.</p>
		<p>Keep in mind that these demo applications are intended <strong>for demonstration purposes only</strong>. It is not recommended to use them in production. For real-life applications you should write your own code which takes into account necessary specifics.</p>
		<p>However you can use these demos as starter kits that illustrate how to use File Downloader in some typical situations. Feel free to copy and modify the code from these applications.</p>
	</fieldset>
</body>
</html>
<!--END-->