﻿// Aurigma File Downloader 
// Russian Localization
// Copyright(c) Aurigma Inc. 2002-2006

var ru_resources = { use: function (id) {
    var properties = {
        'BrowseForFolderDialogText': 'Выберите папку для сохранения файлов.',
        'ButtonDownloadText': 'Загрузить',
        'DownloadCompleteDialogCopyAllButtonText': 'Копировать всё',
        'DownloadCompleteDialogCopySelectedButtonText': 'Копировать выделенные',
        'DownloadCompleteDialogHideLogButtonText': 'Скрыть журнал <<',
        'DownloadCompleteDialogOkButtonText': 'ОК',
        'DownloadCompleteDialogShowLogButtonText': 'Показать журнал >>',
        'DownloadCompleteDialogText': 'Загрузка завершена. Нажмите кнопку \"Показать журнал\", чтобы просмотреть журнал загрузки.',
        'DownloadConfirmationDialogCancelButtonText': 'Отмена',
        'DownloadConfirmationDialogCheckAllButtonText': 'Отметить все',
        'DownloadConfirmationDialogHideFileListButtonText': 'Скрыть файлы <<',
        'DownloadConfirmationDialogListContentTypeText': 'Тип файла',
        'DownloadConfirmationDialogListFileNameText': 'Имя файла',
        'DownloadConfirmationDialogListFileSizeText': 'Размер файла',
        'DownloadConfirmationDialogListUrlText': 'Адрес',
        'DownloadConfirmationDialogOkButtonText': 'ОК',
        'DownloadConfirmationDialogServerNameRemarkText': 'Вы собираетесь загрузить файлы с сервера:',
        'DownloadConfirmationDialogShowFileListButtonText': 'Показать файлы >>',
        'DownloadConfirmationDialogText': 'Чтобы просмотреть список загружаемых файлов, нажмите кнопку \"Показать файлы\". Продолжить загрузку?',
        'DownloadConfirmationDialogUncheckAllButtonText': 'Снять все',
        'FileExistsDialogApplyToAllText': 'Применить ко всем',
        'FileExistsDialogOverwriteButtonText': 'Переписать',
        'FileExistsDialogRenameButtonText': 'Переименовать',
        'FileExistsDialogSkipButtonText': 'Пропустить',
        'FileExistsDialogText': 'Файл с именем [FileName] уже существует. Что следует предпринять?',
        'FileExistsDialogTimeLeftText': 'Осталось времени: [Current] из [Total]',
        'FileListProgressDialogCancelButtonText': 'Отмена',
        'FileListProgressDialogText': 'Загрузка списка файлов...',
        'HoursText': 'ч.',
        'KilobyteRateText': 'КБ/с',
        'KilobytesText': 'КБ',
        'LogFileCommonErrorText': 'Ошибка загрузки',
        'LogFileDeniedInProtectedModeText': 'Пользователь отменил копирование некоторых файлов в папку [DestinationFolder]',
        'LogFileFailedText': 'Ошибка загрузки файла [FileName] с адреса [Url]: [Reason]',
        'LogFileForbiddenText': 'Ошибка авторизации',
        'LogFileNotFoundText': 'Ресурс не найден',
        'LogFileSkippedText': 'Файл пропущен пользователем',
        'LogFileSuccessText': 'Файл [FileName] был загружен с адреса [Url]',
        'LogFileWriteErrorText': 'Ошибка записи файла',
        'LogFileWrongContentTypeText': 'Неправильный тип файла',
        'LogFileWrongFileSizeText': 'Неправильный размер файла',
        'MegabyteRateText': 'МБ/с',
        'MegabytesText': 'МБ',
        'MessageMaxFileCountExceededText': 'Извините, но вы не можете загрузить более чем [count] файлов в защищеном режиме Internet Explorer. Пожалуйста свяжитесь с администратором веб сайта.',
        'MessageNoFilesToDownloadText': 'Не выбрано ни одного файла для загрузки',
        'MessageOpenFolderText': 'Открыть папку с сохраненными файлами?',
        'MinutesText': 'мин.',
        'ProgressDialogDataAmountText': 'Сохранено данных: [Current] of [Total]',
        'ProgressDialogDownloadDetailsText': '([Rate], [TimeLeft] осталось)',
        'ProgressDialogSkipAllButtonText': 'Пропустить все',
        'ProgressDialogSkipCurrentButtonText': 'Пропустить файл',
        'ProgressDialogWaitingForRetryText': '(Ошибка! Повторная попытка...)',
        'SecondsText': 'сек.'
    };
    for (var propName in properties) {
        if ((!properties.hasOwnProperty || properties.hasOwnProperty(propName)) && (('set' + propName) in id)) {
            id['set' + propName](properties[propName]);
        }
    }
}
};