﻿// Aurigma File Downloader 
// English Localization
// Copyright(c) Aurigma Inc. 2002-2008

var en_resources = { use: function (id) {
    var properties = {
        'BrowseForFolderDialogText': 'Select the destination folder to download files to.',
        'ButtonDownloadText': 'Download',
        'DownloadCompleteDialogCopyAllButtonText': 'Copy All',
        'DownloadCompleteDialogCopySelectedButtonText': 'Copy Selected',
        'DownloadCompleteDialogHideLogButtonText': 'Hide Log <<',
        'DownloadCompleteDialogOkButtonText': 'OK',
        'DownloadCompleteDialogShowLogButtonText': 'Show Log >>',
        'DownloadCompleteDialogText': 'Download has been completed. Click Show Log button to see the log file.',
        'DownloadConfirmationDialogCancelButtonText': 'Cancel',
        'DownloadConfirmationDialogCheckAllButtonText': 'Check All',
        'DownloadConfirmationDialogHideFileListButtonText': 'Hide File List <<',
        'DownloadConfirmationDialogListContentTypeText': 'Content-Type',
        'DownloadConfirmationDialogListFileNameText': 'File Name',
        'DownloadConfirmationDialogListFileSizeText': 'File Size',
        'DownloadConfirmationDialogListUrlText': 'URL',
        'DownloadConfirmationDialogOkButtonText': 'OK',
        'DownloadConfirmationDialogServerNameRemarkText': 'You are about to download files from the server',
        'DownloadConfirmationDialogShowFileListButtonText': 'Show File List >>',
        'DownloadConfirmationDialogText': 'To see the list of files which are about to be downloaded, click Show File List button.\nAre you sure you want to start download?',
        'DownloadConfirmationDialogUncheckAllButtonText': 'Uncheck All',
        'FileExistsDialogApplyToAllText': 'Apply to All',
        'FileExistsDialogOverwriteButtonText': 'Overwrite',
        'FileExistsDialogRenameButtonText': 'Rename',
        'FileExistsDialogSkipButtonText': 'Skip',
        'FileExistsDialogText': 'The file [FileName] already exists. What you want to do with it?',
        'FileExistsDialogTimeLeftText': 'Time left: [Current] of [Total]',
        'FileListProgressDialogCancelButtonText': 'Cancel',
        'FileListProgressDialogText': 'Getting file list...',
        'HoursText': 'hours',
        'KilobyteRateText': 'KB/s',
        'KilobytesText': 'KB',
        'LogFileCommonErrorText': 'Download error',
        'LogFileDeniedInProtectedModeText': 'User denied copying some of downloaded files to [DestinationFolder]',
        'LogFileFailedText': 'Failed to download file [FileName] from [Url]: [Reason]',
        'LogFileForbiddenText': 'Authorization failed',
        'LogFileNotFoundText': 'Resource not found',
        'LogFileSkippedText': 'Skipped by user',
        'LogFileSuccessText': 'File [FileName] has been downloaded from [Url]',
        'LogFileWriteErrorText': 'Write file error',
        'LogFileWrongContentTypeText': 'Wrong Content-Type',
        'LogFileWrongFileSizeText': 'Wrong file size',
        'MegabyteRateText': 'MB/s',
        'MegabytesText': 'MB',
        'MessageMaxFileCountExceededText': 'Sorry, but you cannot download more than [count] files in IE Protected Mode. Please contact web site administrator for more information.',
        'MessageNoFilesToDownloadText': 'No files to download',
        'MessageOpenFolderText': 'Do you want to open the folder where files are downloaded to?',
        'MinutesText': 'minutes',
        'ProgressDialogDataAmountText': '[Current] of [Total]',
        'ProgressDialogDownloadDetailsText': '([Rate], [TimeLeft] left)',
        'ProgressDialogSkipAllButtonText': 'Skip All',
        'ProgressDialogSkipCurrentButtonText': 'Skip Current',
        'ProgressDialogWaitingForRetryText': '(Error! Waiting for retry...)',
        'SecondsText': 'seconds'
    };
    for (var propName in properties) {
        if ((!properties.hasOwnProperty || properties.hasOwnProperty(propName)) && (('set' + propName) in id)) {
            id['set' + propName](properties[propName]);
        }
    }
}
};